Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerInformationIterator Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::ServerInformationIterator:

[legend]
Collaboration diagram for ImplementationRepository::ServerInformationIterator:

[legend]
List of all members.

## Public Types
typedef ServerInformationIterator_ptr | _ptr_type
typedef ServerInformationIterator_var | _var_type
## Public Methods
virtual CORBA::Boolean | next_n (CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ServerInformationIterator_ptr | _duplicate (ServerInformationIterator_ptr obj)
ServerInformationIterator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerInformationIterator_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ServerInformationIterator (int collocated=0)
virtual void | ImplementationRepository_ServerInformationIterator_setup_collocation (int collocated)
| ServerInformationIterator (IOP::IOR *ior, TAO_ORB_Core *orb_core=0)
| ServerInformationIterator (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0, TAO_ORB_Core *orb_core=0)
virtual | ~ServerInformationIterator (void)
## Private Methods
| ServerInformationIterator (const ServerInformationIterator &)
void | operator= (const ServerInformationIterator &)
## Private Attributes
TAO::Collocation_Proxy_Broker * | the_TAO_ServerInformationIterator_Proxy_Broker_
## Friends
class | TAO::Narrow_Utils< ServerInformationIterator >

## Member Typedef Documentation

typedef ServerInformationIterator_ptr ImplementationRepository::ServerInformationIterator::_ptr_type

| Reimplemented from CORBA::Object.

typedef ServerInformationIterator_var ImplementationRepository::ServerInformationIterator::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

ImplementationRepository::ServerInformationIterator::ServerInformationIterator | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE ImplementationRepository::ServerInformationIterator::ServerInformationIterator | ( | IOP::IOR * | ior,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ACE_INLINE ImplementationRepository::ServerInformationIterator::ServerInformationIterator | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ImplementationRepository::ServerInformationIterator::~ServerInformationIterator | ( | void |  | ) | `[protected, virtual]`

ImplementationRepository::ServerInformationIterator::ServerInformationIterator | ( | const ServerInformationIterator & |  | ) | `[private]`

## Member Function Documentation

ImplementationRepository::ServerInformationIterator_ptr ImplementationRepository::ServerInformationIterator::_duplicate | ( | ServerInformationIterator_ptr | obj | ) | `[static]`

const char * ImplementationRepository::ServerInformationIterator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean ImplementationRepository::ServerInformationIterator::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

ServerInformationIterator_ptr ImplementationRepository::ServerInformationIterator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

ServerInformationIterator_ptr ImplementationRepository::ServerInformationIterator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void ImplementationRepository::ServerInformationIterator::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

void ImplementationRepository::ServerInformationIterator::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

void ImplementationRepository::ServerInformationIterator::ImplementationRepository_ServerInformationIterator_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

CORBA::Boolean ImplementationRepository::ServerInformationIterator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

CORBA::Boolean ImplementationRepository::ServerInformationIterator::next_n | ( | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out server_list | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[virtual]`

void ImplementationRepository::ServerInformationIterator::operator= | ( | const ServerInformationIterator & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class TAO::Narrow_Utils< ServerInformationIterator >`[friend]`

## Member Data Documentation

TAO::Collocation_Proxy_Broker* ImplementationRepository::ServerInformationIterator::the_TAO_ServerInformationIterator_Proxy_Broker_`[private]`

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp
- ImplRepoC.i